Package com.pixelmed.apps

## Class ConvertSRTCodesToSCT

- java.lang.Object
- - com.pixelmed.apps.ConvertSRTCodesToSCT

-     public class ConvertSRTCodesToSCT
      extends java.lang.Object

  A class to convert all SRT codes to SCT codes.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected class` | `ConvertSRTCodesToSCT.OurMediaImporter` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `ourAETitle` |
    `protected java.lang.String` | `xmlRetiredSRTNewSCTMappingResourceName` |
    `protected java.lang.String` | `xmlSRTSCTMappingResourceName` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConvertSRTCodesToSCT​(java.lang.String[] srcs, java.lang.String dstFolderName)` | Examine a set of SR files and copy them converting SRT codes to SCT codes (per CP 1850).

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `convertSRTToSCTInThisItem​(AttributeList list)` | Convert SRT codes to SCT codes (per CP 1850) in this ItemList.
    `void` | `findCodeSequenceItemsAndConvertSRTCodesToSCT​(AttributeList list)` | Convert SRT codes to SCT codes (per CP 1850) in the this and its children.
    `static void` | `main​(java.lang.String[] arg)` | Examine a set of SR files and copy them converting SRT codes to SCT codes (per CP 1850).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ourAETitle

          protected java.lang.String ourAETitle

    - #### xmlSRTSCTMappingResourceName

          protected java.lang.String xmlSRTSCTMappingResourceName

    - #### xmlRetiredSRTNewSCTMappingResourceName

          protected java.lang.String xmlRetiredSRTNewSCTMappingResourceName

  - ### Constructor Detail

    - #### ConvertSRTCodesToSCT

          public ConvertSRTCodesToSCT​(java.lang.String[] srcs,
                                      java.lang.String dstFolderName)
                               throws java.io.FileNotFoundException,
                                      java.io.IOException,
                                      DicomException

      Examine a set of SR files and copy them converting SRT codes to SCT codes (per CP 1850).

      Parameters:
        `srcs` -
        `dstFolderName` -
      Throws:
        `java.io.FileNotFoundException`
        `java.io.IOException`
        `DicomException`

  - ### Method Detail

    - #### convertSRTToSCTInThisItem

          public void convertSRTToSCTInThisItem​(AttributeList list)

      Convert SRT codes to SCT codes (per CP 1850) in this ItemList.

      Does not recurse into SequenceAttributes.

      Parameters:
        `list` -

    - #### findCodeSequenceItemsAndConvertSRTCodesToSCT

          public void findCodeSequenceItemsAndConvertSRTCodesToSCT​(AttributeList list)

      Convert SRT codes to SCT codes (per CP 1850) in the this and its children.

      Recurses into SequenceAttributes.

      Parameters:
        `list` -

    - #### main

          public static void main​(java.lang.String[] arg)

      Examine a set of SR files and copy them converting SRT codes to SCT codes (per CP 1850).

      Parameters:
        `arg` - array of 2 or more strings - one or more source folder or DICOMDIR and a destination folder